<nav th:fragment="paginationbar">
    <ul class="pagination">
        <li class="page-item" th:class="${page.firstPage}? 'page-item disabled' : 'page-item'">
            <a class="page-link" name="pagination" th:if="${page.firstPage}" th:text="#{paginator.first}"><span>Primero</span></a>
            <a class="page-link" name="pagination" th:if="${not page.firstPage}" th:href="@{${page.url}(page=1)}" th:text="#{paginator.first}">Primero</a>
        </li>
        <li class="page-item" th:class="${page.hasPreviousPage}? 'page-item' : 'page-item disabled'">
            <a class="page-link" name="pagination" th:if="${page.firstPage}"><span>&laquo;</span></a>
            <a class="page-link" name="pagination" th:if="${page.hasPreviousPage}" th:href="@{${page.url}(page=${page.number-1})}" title="Go to previous page">&laquo;</a>
        </li>
        <li class="page-item" th:each="item : ${page.items}" th:class="${item.current}? 'active' : ''">
            <a class="page-link" name="pagination" th:if="${item.current}"><span th:text="${item.number}">1</span></a>
            <a class="page-link" name="pagination" th:if="${not item.current}" th:href="@{${page.url}(page=${item.number})}"><span th:text="${item.number}">1</span></a>
        </li>
        <li class="page-item" th:class="${page.hasNextPage}? 'page-item' : 'page-item disabled'">
            <a class="page-link" name="pagination" th:if="${not page.hasNextPage}"><span>&raquo;</span></a>
            <a class="page-link" name="pagination" th:if="${page.hasNextPage}" th:href="@{${page.url}(page=${page.number+1})}" title="Go to next page">&raquo;</a>
        </li>
        <li class="page-item" th:class="${page.lastPage}? 'page-item disabled' : 'page-item'">
            <a class="page-link" name="pagination" th:if="${page.lastPage}"><span th:text="#{paginator.last}">Último</span></a>
            <a class="page-link" name="pagination" th:if="${not page.lastPage}" th:href="@{${page.url}(page=${page.totalPages})}" th:text="#{paginator.last}">Último</a>
        </li>
    </ul>
    <div>
        <span class="small" th:text="${page.summary}"></span>
    </div>
</nav>
